from abc import ABC, abstractmethod


class TaskManager(ABC):
    """
    Interface for task management systems.
    """

    @abstractmethod
    def create_task(self, title: str, description: str, labels: list):
        """
        Create a task in the system.

        Parameters
        ----------
        title : str
            Task title.
        description : str
            Task description.
        labels : list
            A List of labels.
        """
        pass
